--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Hash of CSS background colour values.
  - !ruby/struct:SM::Flow::P 
    body: "This is always 11 values:"
  - !ruby/object:SM::Flow::LIST 
    contents: 
    - !ruby/struct:SM::Flow::LI 
      label: "0:"
      body: The starting colour.
    - !ruby/struct:SM::Flow::LI 
      label: "+1..+5:"
      body: Lighter colours.
    - !ruby/struct:SM::Flow::LI 
      label: "-1..-5:"
      body: Darker colours.
    type: :NOTE
  name: background
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Hash of CSS foreground colour values.
  - !ruby/struct:SM::Flow::P 
    body: "This is always 11 values:"
  - !ruby/object:SM::Flow::LIST 
    contents: 
    - !ruby/struct:SM::Flow::LI 
      label: "0:"
      body: The starting colour.
    - !ruby/struct:SM::Flow::LI 
      label: "+1..+5:"
      body: Lighter colours.
    - !ruby/struct:SM::Flow::LI 
      label: "-1..-5:"
      body: Darker colours.
    type: :NOTE
  name: foreground
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The minimum brightness difference between the background and the foreground, and must be between 0..1. Setting this value will regenerate the palette based on the base colours. The default value for this is 125 / 255.0. If this value is set to <tt>nil</tt>, it will be restored to the default.
  name: minimum_brightness_diff
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The minimum colour difference between the background and the foreground, and must be between 0..3. Setting this value will regenerate the palette based on the base colours. The default value for this is 500 / 255.0.
  name: minimum_color_diff
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Generates a monochromatic constrasting colour palette for background and foreground. What does this mean?
- !ruby/struct:SM::Flow::P 
  body: "Monochromatic: A single colour is used to generate the base palette, and this colour is lightened five times and darkened five times to provide eleven distinct colours."
- !ruby/struct:SM::Flow::P 
  body: "Contrasting: The foreground is also generated as a monochromatic colour palettte; however, all generated colours are tested to see that they are appropriately contrasting to ensure maximum readability of the foreground against the background."
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_MINIMUM_BRIGHTNESS_DIFF
  value: (125.0 / 255.0)
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULT_MINIMUM_COLOR_DIFF
  value: (500.0 / 255.0)
full_name: Color::Palette::MonoContrast
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: brightness_diff
- !ruby/object:RI::MethodSummary 
  name: calculate_foreground
- !ruby/object:RI::MethodSummary 
  name: color_diff
- !ruby/object:RI::MethodSummary 
  name: minimum_color_diff=
- !ruby/object:RI::MethodSummary 
  name: regenerate
name: MonoContrast
superclass: Object
